.wp-block-embed {
	width: 100%;
}

.wp-block-embed__wrapper {
	max-width: var(--sm);
	margin: 0 auto;
}

.wp-block-embed.wp-has-aspect-ratio {
	& iframe {
		@mixin abs-full;
	}

	&.wp-embed-aspect-4-3 {
		& .wp-block-embed__wrapper {
			@mixin ratio 3/4;
		}
	}

	&.wp-embed-aspect-16-9 {
		& .wp-block-embed__wrapper {
			@mixin ratio 9/16;
		}
	}
}
